<template>
	<view class="detail">
		<view class="con">
			<u-parse :content="item.brief" v-if="item.brief"></u-parse>
			<u-empty v-else text="整理资料中..."></u-empty>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			item: {}
		};
	},
	onLoad(e) {
		this.http.request({
			url: '/app/department/detail/' + e.id,
			success: (res) => {
				this.item = res.data.data;
				uni.setNavigationBarTitle({ title: this.item.deptName });
				if (res.data.data.brief) {
					this.item.brief = res.data.data.brief.replace(new RegExp('/profile/upload/', 'g'), this.http.ip + '/profile/upload/');
				}
			}
		});
	},
	methods: {}
};
</script>

<style lang="scss">
page {
	background-color: white;
}
</style>
